nagios Cookbook
===============

**Note: This cookbook is deprecated. Use the nagios-grid cookbook.**

This cookbook provides some recipes for Nagios setup.

Requirements
------------

None.

Attributes
----------

|Key|Type|Description, example|Default|
|:--|:--|:--|:--|
|`['nagios']['cluster_name']`|String||`'localhost'`|
|`['nagios']['check_external_commands']`|String|check_external_commands property in nagios.cfg|`'0'`|
|`['nagios']['command_file']`|String|command_file property in nagios.cfg|see default.rb|
|`['nagios']['use_regexp_matching']`|String|use_regexp_matching property in nagios.cfg|`'0'`|
|`['nagios']['authorized_for_system_information']`|String|CGI authorization property.|`'nagiosadmin'`|
|`['nagios']['authorized_for_configuration_information']`|String|CGI authorization property.|`'nagiosadmin'`|
|`['nagios']['authorized_for_system_commands']`|String|CGI authorization property.|`'nagiosadmin'`|
|`['nagios']['authorized_for_all_services']`|String|CGI authorization property.|`'nagiosadmin'`|
|`['nagios']['authorized_for_all_hosts']`|String|CGI authorization property.|`'nagiosadmin'`|
|`['nagios']['authorized_for_all_service_commands']`|String|CGI authorization property.|`'nagiosadmin'`|
|`['nagios']['authorized_for_all_host_commands']`|String|CGI authorization property.|`'nagiosadmin'`|
|`['nagios']['result_limit']`|String|result set limitation.|`'100'`|
|`['nagios']['web']['Order']`|String|Apache < 2.3|`'Deny,Allow'`|
|`['nagios']['web']['Deny']`|Array|Apache < 2.3|`['from all']`|
|`['nagios']['web']['Allow']`|Array|Apache < 2.3|`['from 127.0.0.1', 'from ::1']`|
|`['nagios']['web']['AuthType']`|String|'none' or 'Basic' or 'Kerberos'|`'Basic'`|
|`['nagios']['web']['mod_auth_basic']['AuthUserFile']`|String||see default.rb|
|`['nagios']['web']['mod_auth_kerb']['KrbAuthRealms']`|String||`'LOCALDOMAIN'`|
|`['nagios']['web']['mod_auth_kerb']['KrbServiceName']`|String||`'HTTP'`|
|`['nagios']['web']['mod_auth_kerb']['Krb5Keytab']`|String||`'/etc/krb5.keytab'`|
|`['nagios']['web']['mod_auth_kerb']['KrbMethodNegotiate']`|String||`'on'`|
|`['nagios']['web']['mod_auth_kerb']['KrbMethodK5Passwd']`|String||`'off'`|
|`['nagios']['objects']['commands']`|Array|for full customization.|`[]`|
|`['nagios']['objects']['hosts']`|Array|for full customization.|`[]`|
|`['nagios']['objects']['hostgroups']`|Array|for full customization.|`[]`|
|`['nagios']['objects']['hostdependencies']`|Array|for full customization.|`[]`|
|`['nagios']['objects']['hostescalations']`|Array|for full customization.|`[]`|
|`['nagios']['objects']['hostextinfos']`|Array|for full customization.|`[]`|
|`['nagios']['objects']['services']`|Array|for full customization.|`[]`|
|`['nagios']['objects']['servicegroups']`|Array|for full customization.|`[]`|
|`['nagios']['objects']['servicedependencies']`|Array|for full customization.|`[]`|
|`['nagios']['objects']['serviceescalations']`|Array|for full customization.|`[]`|
|`['nagios']['objects']['serviceextinfos']`|Array|for full customization.|`[]`|
|`['nagios']['objects']['contacts']`|Array|for full customization.|`[]`|
|`['nagios']['objects']['contactgroups']`|Array|for full customization.|`[]`|
|`['nagios']['objects']['timeperiods']`|Array|for full customization.|`[]`|
|`['nagios']['NagAconda']['version']`|String|for check_ganglia_metric|`'0.1.4'`|
|`['nagios']['check_ganglia_metric']['enabled']`|Boolean||`false`|
|`['nagios']['check_ganglia_metric']['gmetad_host']`|String||`'localhost'`|

Usage
-----
#### nagios::default
- sets up a Nagios monitoring server.

License and Authors
-------------------
- Author:: whitestar at osdn.jp

```text
Copyright 2013-2016, whitestar

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
```
